Index: /production/gippsland_2005/get_timeseries.py
===================================================================
--- /production/gippsland_2005/get_timeseries.py	(revision 2404)
+++ /production/gippsland_2005/get_timeseries.py	(revision 2404)
@@ -0,0 +1,157 @@
+"""Read in sww file, interpolate at specified locations and plot time series
+
+"""
+
+import project
+from pyvolution.util import file_function
+#from pyvolution.coordinate_transforms.redfearn import degminsec2decimal_degrees, redfearn
+from coordinate_transforms.redfearn import degminsec2decimal_degrees, redfearn
+from pylab import *
+
+
+    
+#swwfile = project.newoutputname + '.sww'
+swwfile = project.outputname + '.sww'
+
+#Time interval to plot
+tmin = 13000
+tmax = 21000
+
+def get_gauges_from_file(filename):
+    fid = open(filename)
+    lines = fid.readlines()
+    fid.close()
+    
+    gauges = []
+    gaugelocation = []
+    for line in lines[1:]:
+        fields = line.split(',')
+        # my gauge file set up as locationname, easting, northing
+        location = fields[0]
+        easting = float(fields[1])
+        northing = float(fields[2])
+        #z, easting, northing  = redfearn(lat, lon)
+        gauges.append([easting, northing])
+        gaugelocation.append(location)
+        
+    #Return gauges and raw data for subsequent storage
+    #return gauges, linesfs
+    return gauges, lines, gaugelocation
+
+#gauges, buildings = get_gauges_from_file(project.gauge_filename)
+gauges, lines, locations = get_gauges_from_file(project.gauge_filename)
+
+#Read model output
+quantities = ['stage', 'elevation', 'xmomentum', 'ymomentum']
+f = file_function(swwfile,
+                  quantities = quantities,
+                  interpolation_points = gauges,
+                  verbose = True,
+                  use_cache = True)
+
+
+               
+from math import sqrt
+N = len(gauges)
+for k, g in enumerate(gauges):
+    if k%((N+10)/10)==0: # diagnostics - print 10 lines
+        print 'Doing row %d of %d' %(k, N)
+
+    model_time = []
+    stages = []
+    elevations = []
+    momenta = []
+    velocity = []
+
+    max_depth = 0
+    max_momentum = 0
+    max_velocity = 0
+    for i, t in enumerate(f.T): # T is a list of times
+        #if tmin < t < tmax:
+        w = f(t, point_id = k)[0]
+        z = f(t, point_id = k)[1]
+        uh = f(t, point_id = k)[2]
+        vh = f(t, point_id = k)[3]
+        #myloc = locations[k]
+
+        m = sqrt(uh*uh + vh*vh)   #Absolute momentum
+        vel = sqrt(uh*uh + vh*vh) / (w-z + 1.e-30) #Absolute velocity
+        print vel
+        #dep = w-z
+        #vel = sqrt(uh*uh + vh*vh) / dep #Absolute velocity
+        
+        model_time.append(t)        
+        stages.append(w)
+        elevations.append(z)  #Should be constant over time
+        momenta.append(m)
+        velocity.append(vel)
+
+        if w-z > max_depth:
+            max_depth = w-z
+        if m > max_momentum:            
+            max_momentum = m
+        if vel > max_velocity:
+            max_velocity = vel
+            print 'max speed', max_velocity
+
+    
+
+    #Plot only those gauges that have been inundated by more than a threshold
+    #if max_depth < 0.2:
+    #    print 'Skipping gauge %d' %k
+    #    continue
+
+    ion()
+    hold(False)
+
+    if elevations[0] < -10:
+        plot(model_time, stages, '-b')
+    else:    
+        plot(model_time, stages, '-b',
+             model_time, elevations, '-k')
+    name = 'Gauge_%d: (%.1f, %.1f)' %(k, g[0], g[1])
+    #name = 'Gauge_%d: (%.1f, %.1f) Location: %s' %(k, g[0], g[1], myloc)
+    title(name)
+
+    title('%s (stage)' %name)
+    xlabel('time [s]')
+    ylabel('elevation [m]')    
+    legend(('Stage', 'Bed = %.1f' %elevations[0]),
+           shadow=True,
+           loc='upper right')
+    savefig('Gauge_%d_stage' %k) # savefig('Gauge_%s_stage' %myloc)
+
+    raw_input('Next')
+
+
+    #Momentum plot
+    ion()
+    hold(False)
+    plot(model_time, momenta, '-r')
+    title(name)
+
+    title('%s (momentum)' %name)
+    xlabel('time [s]')
+    ylabel('sqrt( uh^2 + vh^2 ) [m^2/s]')    
+    savefig('Gauge_%d_momentum' %k)
+    #savefig('Gauge_%s_momentum' %myloc)
+    
+    raw_input('Next')
+
+    #Speed plot
+    ion()
+    hold(False)
+    plot(model_time, velocity, '-r')
+    title(name)
+
+    title('%s (velocity)' %name)
+    xlabel('time [s]')
+    ylabel('sqrt( uh^2 + vh^2 ) / depth [m/s]')    
+    savefig('Gauge_%d_speed' %k)
+    #savefig('Gauge_%s_speed' %myloc)
+    
+    raw_input('Next')
+    
+
+show()
+