Index: /documentation/planning/priorities.tex
===================================================================
--- /documentation/planning/priorities.tex	(revision 2410)
+++ /documentation/planning/priorities.tex	(revision 2411)
@@ -166,5 +166,62 @@
 \end{itemize}
 
-        
+
+\chapter{Detailed planning}
+
+\section{Validation of ANUGA}
+
+\subsection{Laboratory Data}
+25 July 2005: Benchmark data from wave tank experiments were deemed suitable for
+initial validation exercises and we should proceed with these
+immediately using the existing acquired datasets.  In addition, data
+from vertical wall run-ups will be relevant.  Andrew's letter to key
+players regarding other existing laboratory datasets is deemed
+extremely valuable and should go ahead.
+
+This has now completed in the form of the Okushiri island validation
+
+\subsection{Historical Data}
+Andrew McPherson has contacted relevant organisations regarding sources and
+availability of existing post-tsunami field survey data.  We agreed
+that a scenario from e.g. Banda Aceh or Thailand (Phuket)
+demonstrating the detailed effect of bathymetric variations would be
+an ideal study and could form the basis of a scientific paper. Matt is
+considering whether this would fit into his research priorities.
+  
+\subsection{Other}
+Validation against analytical solutions is well under way and 
+is considered an integral component of the validation process.
+The same is true for the Lake Merimbula tidal validation project.
+Stephen and Chris are looking after these.
+
+
+\section{Potential contacts}
+
+\begin{itemize} 
+  \item Lex Nielsen from SMEC in order to explore
+    how they can get involved
+  \item Lutz Grosz from ACcESS
+  \item Tom Baldock UQ
+  \item Tariq Rahiman (tir14@student.canterbury.ac.nz, tariq@mrd.gov.fj) (Suva scenario)
+  \item Allen L. Clark PDC (aclark@pdc.org)
+\end{itemize}     
+    
+
+\section{Potential joint PhD projects (GA and ANU)}
+Ole to investigate if GA would fund a PhD student: Project could be
+"Algorithms for augmentation of unstructured grids" or "Algorithms for
+unification of geodesic systems in unstructured grids" the latter
+capturing the notion of being able to model the synoptic, deep water
+wave propagation in latitudes and longitudes with a seemless connection 
+to detailed modelling using UTM projections.
+A PhD scholarship is worth about \$20K per annum. 
+
+
+
+\section{Long term aim}
+
+We agreed that having a detailed, reproducible and validated 
+inundation scenario from the Boxing Day Tsunami running in parallel
+(and being faster than the sequential code) would be a worthwhile goal.   
     
     
Index: /documentation/requirements/anuga_API_requirements.tex
===================================================================
--- /documentation/requirements/anuga_API_requirements.tex	(revision 2410)
+++ /documentation/requirements/anuga_API_requirements.tex	(revision 2411)
@@ -88,5 +88,30 @@
 
 
+\chapter{Efficiency and optimisation}
+
+
+\section{Parallelisation of pyvolution}
+
+
+(From ANU meeting 27/7/5)
+ 
+Remaining loose ends and ideas are
+\begin{itemize} 
+  \item fluxes in ghostcells should not affect timestep computation.
+  \item a function for re-assembling model output should be made available
+  \item scoping of methodologies for automatic domain decomposition
+  \item implementation of automatic domain decomposition 
+    (using C extensions for maximal sequential performance in order to minimise 
+    performance penalties due to Amdahl's law)
+  \item in depth testing and tuning of parallel performane. This may require 
+    adding wrappers for non-blocking MPI communication to pypar if needed.   
+  \item ability to read in precomputed sub-domains. Perhaps using caching.py  
+
+\end{itemize}   
 
 
 \end{document}
+
+
+
+
Index: /inundation/wiki/ANU meeting 27072005.txt
===================================================================
--- /inundation/wiki/ANU meeting 27072005.txt	(revision 2410)
+++ /inundation/wiki/ANU meeting 27072005.txt	(revision 2411)
@@ -1,3 +1,5 @@
-
+ALL HAS BEEN MOVED TO ANUGA DOCUMENTATION - DONT EDIT
+	
+	
 AnuGA planning meeting 27 July 2005
 -----------------------------------