Index: /documentation/planning/priorities.tex
===================================================================
--- /documentation/planning/priorities.tex	(revision 2415)
+++ /documentation/planning/priorities.tex	(revision 2416)
@@ -55,4 +55,5 @@
 
 \begin{enumerate} 
+  \item Continual work on WA localities, in particular
   \item Onslow, WA. This study mainly supports the FESA funded WA study, but has synergies with 
     projects in other lists as well (Jane, Ole, Nick)
@@ -60,6 +61,6 @@
     This project has synergies with the ANUGA Demo initiative (Everyone)
   \item Port Hedland. Also part of the WA project. (Jane, Nick)
-  \item Rerun Wollongong with slump (pending better defition of slump sizes) (Nick, Adrian)
-  \item NSW state study  
+  \item Rerun Wollongong with slump (pending better defition of slump sizes) (Nick, Adrian), 2-3 weeks
+  \item NSW state study  (deferred until 2007 - Matt)
   \item SE Qld study
   \item Hobart 
@@ -67,5 +68,9 @@
 within the next 12 months) and consultation has occurred with stakeholders.
 \end{enumerate}
-Given that the production line is in a start-up phase and the needs outlined in the research and development streams, no more than priority 1-2 are expected to complete before 30 June 2006. However, once streamlined, we expect a production rate of about one scenario per month.
+Given that the production line is in a start-up phase and the needs
+outlined in the research and development streams, only priority 1 and
+2 are guaranteed to complete before 30 June 2006. However, once
+streamlined, we expect a production rate of about one scenario per
+month.
 
 
@@ -77,14 +82,14 @@
 \begin{enumerate} 
   \item Sensitivity study using Onslow project (Jane, Ole)
-  \item Validation (Ole et al with David Burbidge \& Tom Baldock UQ)  
+  \item Validation (Ole et al with David Burbidge \& Tom Baldock UQ). Also PDC and Suva data.
   \item Momentum sink study (Duncan)
-  \item Submarine landslide modelling paper with Dr Mueller, Sydney (Jane, Ole, Adrian)  
-  \item Probabilistic integration with URS model, pending URS data (Ole, Trevor)    
+  \item Submarine landslide modelling paper with Dr Mueller or Russell Blong (Ask him), Sydney (Jane, Ole, Adrian, Matt). Perhaps use Wollongong as the study area.  
+  \item Probabilistic integration with URS model, pending URS data (Ole, Trevor).  Ask PDC.  
   \item Automatic definition of mesh-resolution based on data (e.g. depth or gradients). Perhaps use wavelet transforms. 
-  \item Effect of debris on flow and damage 
+  \item Effect of debris on flow and damage (Under way at JCU - shawn)
   \item Write ANUGA in term of latitudes and longitudes
   \item Incorporate coriolis effect for large study areas
-  \item Revive storm surge model
-  \item Riverine flooding
+  \item Revive storm surge model (Rosh DNR)
+  \item Riverine flooding (Rosh DNR)
   \item Solution uncertainty (interaction with Hugh Durrant-Whyte and
   Suresh Kumar from USyd)
@@ -93,5 +98,5 @@
  long will the results remain valid?  eg, effect of sediment transport
  affecting local bathymetry, change in sea levels due to climate
- change)
+ change). This is a product for the ATWS, states and EMA.
 \end{enumerate}
 No more than priority 1-4 are expected to complete before 30 June 2006.
@@ -108,5 +113,5 @@
   \item Map2PDF vs ArcReader (Neil)
   \item Easy interface to building regions of variable resolution (Duncan)
-  \item Sydney demo (Jane, Duncan, Ole)
+  \item Sydney demo (Jane, Duncan, Ole) - Ask 
   \item Deploy parallel version (Ole, Nick)
   \item Userguide, technical documentation and installation process (Everyone)
@@ -134,5 +139,5 @@
   Take responsibility for one or more research projects, and contribute to production on a needs basis.  
   \item \textbf{Jane}: Coordinate FESA production project, take responsibility for one or 
-  more research projects and contribute to production and code development on a needs basis.
+  more research projects and contribute to production and code development on a needs basis. In the longer term, maintenance of other stakeholder relationships (?).
   \item \textbf{Nick}: Take responsibility for the production stream, develop visualisation techniques, 
   and contribute to code development on a needs basis.
@@ -146,14 +151,29 @@
 \subsection*{Stakeholders}
 \begin{enumerate} 
-  \item \textbf{Adrian}: Provide input to submarine landslide research.
+  \item \textbf{Adrian or Monica}: Provide input to submarine landslide research.
   \item \textbf{Hamish}: Coordinate collection and supply of topographic data.    
-  \item \textbf{Neil}: Coordinate development of GIS decision tool. 
+  \item \textbf{Neil and Ingo}: Coordinate development of GIS decision tool. 
     Assist with collection and supply of topographic data.  
   \item \textbf{Stephen}: Contribute to research and further development of hydrodynamic model.   
   \item \textbf{Trevor}: Develop new engagements with external stakeholders such as state governments.  
+  \item \textbf{Lisa}: Arcview exposure database with Neil
+  
   \item Others?
 \end{enumerate}
     
-
+\subsection*{Potential contacts}
+
+\begin{itemize} 
+  \item Lex Nielsen from SMEC in order to explore
+    how they can get involved
+  \item Lutz Grosz from ACcESS
+  \item Tom Baldock UQ
+  \item Tariq Rahiman (tir14@student.canterbury.ac.nz, tariq@mrd.gov.fj) (Suva scenario)
+  \item Allen L. Clark PDC (aclark@pdc.org)
+\end{itemize}     
+
+    
+\subsection*{Resources}    
+    
 The allocation to the different streams from the core inundation modelling team in terms of 
 4 full time equivalents (FTE) are
@@ -163,5 +183,5 @@
 \item \textbf{Research}: 1 FTE
 \item \textbf{Code development and maintenance}: 1 FTE
-\item \textbf{Management}: 0.75 FTE (0.5 FESA, 0.25 TEAM)
+\item \textbf{Management}: 0.75 FTE (0.5 WA-FESA Project coordination, 0.25 TEAM)
 \end{itemize}
 
@@ -196,14 +216,4 @@
 
 
-\section{Potential contacts}
-
-\begin{itemize} 
-  \item Lex Nielsen from SMEC in order to explore
-    how they can get involved
-  \item Lutz Grosz from ACcESS
-  \item Tom Baldock UQ
-  \item Tariq Rahiman (tir14@student.canterbury.ac.nz, tariq@mrd.gov.fj) (Suva scenario)
-  \item Allen L. Clark PDC (aclark@pdc.org)
-\end{itemize}     
     
 