Index: documentation/user_manual/anuga_user_manual.tex
===================================================================
--- documentation/user_manual/anuga_user_manual.tex	(revision 2413)
+++ documentation/user_manual/anuga_user_manual.tex	(revision 2422)
@@ -9,5 +9,5 @@
 \input{definitions}
 
-	
+
 \documentclass{manual}
 
@@ -23,14 +23,14 @@
 %Draft date
 \date{\today}                   % update before release!
-				% Use an explicit date so that reformatting
-				% doesn't cause a new date to be used.  Setting
-				% the date to \today can be used during draft
-				% stages to make it easier to handle versions.
-
-\release{1.0}			% release version; this is used to define the
-				% \version macro
-
-\makeindex			% tell \index to actually write the .idx file
-%\makemodindex			% If this contains a lot of module sections.
+                % Use an explicit date so that reformatting
+                % doesn't cause a new date to be used.  Setting
+                % the date to \today can be used during draft
+                % stages to make it easier to handle versions.
+
+\release{1.0}           % release version; this is used to define the
+                % \version macro
+
+\makeindex          % tell \index to actually write the .idx file
+%\makemodindex          % If this contains a lot of module sections.
 
 
@@ -63,5 +63,5 @@
 The user must specify a study area represented by a mesh of triangular
 cells, the topography and bathymetry, frictional resistance, initial
-values for water level (called \emph{stage}\index{stage} within \anuga), 
+values for water level (called \emph{stage}\index{stage} within \anuga),
 boundary
 conditions and forces such as windstress or pressure gradients if
@@ -194,5 +194,5 @@
 \section{The Code}
 
-%FIXME: we are using the \code function here. 
+%FIXME: we are using the \code function here.
 %This should be used whereever possible
 For reference we include below the complete code listing for
@@ -229,5 +229,5 @@
 from math import sin, pi
 Br = Reflective_boundary(domain)
-Bt = Transmissive_boundary(domain) 
+Bt = Transmissive_boundary(domain)
 Bd = Dirichlet_boundary([0.2,0.,0.])
 
@@ -257,5 +257,5 @@
 
 {\small \begin{verbatim}
-    points, vertices, boundary = rectangular(10, 10) 
+    points, vertices, boundary = rectangular(10, 10)
 \end{verbatim}}
 
@@ -304,5 +304,5 @@
 class of the same name in the module \code{domain}, and inherits
 some methods from the generic class but has others specific to the
-shallow-water scenarios in which it is used. Specific options for domain 
+shallow-water scenarios in which it is used. Specific options for domain
 are set at this point. One of them are to set the basename for the output file
 
@@ -350,5 +350,4 @@
 
 {\small \begin{verbatim}
-\begin{verbatim}
     domain.set_quantity('elevation', f)
 \end{verbatim}}
@@ -482,6 +481,6 @@
 
 The chief difference is in the method used to create the mesh. Instead of imposing a mesh
-structure on a rectangular grid, the technique used for this example involves building 
-mesh structures inside polygons. 
+structure on a rectangular grid, the technique used for this example involves building
+mesh structures inside polygons.
 
 In its simplest form, the mesh is created within a single polygon
@@ -512,32 +511,32 @@
 
 
-\begin{itemize} 
-
-  \item \indexedcode{create_mesh_from_region}: Create mesh based on a bounding polygon and a number of internal polygons. Each polygon has a maximal area of triangles associated with it - the resolution. The bounding polygon also has symbolic \code{tags} associated with it.   
-  Arguments are: 
+\begin{itemize}
+
+  \item \indexedcode{create_mesh_from_region}: Create mesh based on a bounding polygon and a number of internal polygons. Each polygon has a maximal area of triangles associated with it - the resolution. The bounding polygon also has symbolic \code{tags} associated with it.
+  Arguments are:
   \item \indexedcode{pmesh_to_domain_instance}: Convert generated mesh file to domain object. Arguments are: Mesh file name and class specifying which domain class to instantiate. (Simpler)
-  
-  \item \indexedcode{file_function} %in util.py "High priority"  
-  \item \indexedcode{Interpolation_function} %In least_squares.py ("High priority")  
-
-  \item \indexedcode{set_region} ``Low priority. Will be merged into set\_quantity''  
+
+  \item \indexedcode{file_function} %in util.py "High priority"
+  \item \indexedcode{Interpolation_function} %In least_squares.py ("High priority")
+
+  \item \indexedcode{set_region} ``Low priority. Will be merged into set\_quantity''
   \item \indexedcode{set_quantity} ``Pretty mature''
   \item \indexedcode{set_boundary} ``Pretty mature''
-  
-\end{itemize} 
+
+\end{itemize}
 
 
 Diagnostics
-\begin{itemize} 
+\begin{itemize}
   \item \indexedcode{write_time}
   \item \indexedcode{write_boundary_statistics}
-  
-
-\end{itemize} 
+
+
+\end{itemize}
 
 
 \subsection{Boundary conditions}
 
-ANUGA provides a large number of predefined boundary conditions to be used with 
+ANUGA provides a large number of predefined boundary conditions to be used with
 \code{set_boundary}
 
@@ -545,29 +544,29 @@
 How are they used
 
-\begin{itemize} 
+\begin{itemize}
   \item \indexedcode{Reflective_boundary}
   function, arguments
-  
+
   \item \indexedcode{Transmissive_boundary}
-  function, arguments, CAVEATS  
-  
+  function, arguments, CAVEATS
+
   \item \indexedcode{Dirichlet_boundary}
-  
-  \item \indexedcode{Time_boundary}  
-  
-  \item \indexedcode{File_boundary}    
+
+  \item \indexedcode{Time_boundary}
+
+  \item \indexedcode{File_boundary}
   Based on File\_function
-  
-  \item \indexedcode{}      
-  
-  \item \indexedcode{}        
-  
-  
+
+  \item \indexedcode{}
+
+  \item \indexedcode{}
+
+
   \item \indexedcode{User defined boundary conditions.}
-  How to roll your own      
-  
-  
-
-\end{itemize} 
+  How to roll your own
+
+
+
+\end{itemize}
 
 
@@ -575,16 +574,16 @@
 \subsection{Initial conditions}
 
-ANUGA provides a number of predefined initial conditions to be used with 
+ANUGA provides a number of predefined initial conditions to be used with
 \code{set_quantity}.
 
-\begin{itemize} 
+\begin{itemize}
 
 
   \item \indexedcode{tsunami_slump}
   function, arguments
-  
+
   \item \indexedcode{}
 
-\end{itemize} 
+\end{itemize}
 
 
@@ -593,13 +592,13 @@
 ANUGA provides a number of predefined forcing functions to be used with .....
 
-\begin{itemize} 
+\begin{itemize}
 
 
   \item \indexedcode{}
   function, arguments
-  
+
   \item \indexedcode{}
 
-\end{itemize} 
+\end{itemize}
 
 
@@ -629,5 +628,5 @@
 
 DEMs, meshes and boundary conditions can have different origins within
-one UTM zone. However, the computation will use that of the mesh for 
+one UTM zone. However, the computation will use that of the mesh for
 numerical stability.
 
@@ -683,15 +682,15 @@
 \section{utilities/polygons} Could do now.
 
-\begin{itemize} 
-  \item \indexedcode{polygon_function} 
-  \item \indexedcode{read_polygon} 
-  \item \indexedcode{populate_polygon} 
-  \item \indexedcode{point_in_polygon} 
-  \item \indexedcode{inside_polygon} 
-  \item \indexedcode{outside_polygon} 
-  \item \indexedcode{point_on_line} 
-  \item \indexedcode{separate_points_by_polygon} 
-\end{itemize}   
-  
+\begin{itemize}
+  \item \indexedcode{polygon_function}
+  \item \indexedcode{read_polygon}
+  \item \indexedcode{populate_polygon}
+  \item \indexedcode{point_in_polygon}
+  \item \indexedcode{inside_polygon}
+  \item \indexedcode{outside_polygon}
+  \item \indexedcode{point_on_line}
+  \item \indexedcode{separate_points_by_polygon}
+\end{itemize}
+
 
 
@@ -709,9 +708,9 @@
 \section{utilities/numerical_tools} Could do now.
 
-\begin{itemize} 
+\begin{itemize}
   \item \indexedcode{ensure_numeric}
   \item \indexedcode{mean}
-  \item  
-\end{itemize} 
+  \item
+\end{itemize}
 
 \chapter{Glossary}
@@ -719,6 +718,6 @@
 \begin{itemize}
     \item \indexedbold{ANUGA} name of software (joint development between ANU and GA)
-    
-    \item \indexedbold{Conserved quantity}    
+
+    \item \indexedbold{Conserved quantity}
 
     \item \indexedbold{Default order} is this really needed?
@@ -741,5 +740,5 @@
 
     \item \indexedbold{Manning friction coefficient}
-    
+
     \item \indexedbold{Mesh}    triangulation of domain
 
@@ -767,31 +766,31 @@
 
     \item \indexedbold{xmomentum} conserved quantity (note, two-dimensional SWW equations say only x and y and NOT z)
-    
-    \item \indexedbold{ymomentum}  conserved quantity 
+
+    \item \indexedbold{ymomentum}  conserved quantity
 
     \item \indexedbold{resolution}   refers to the maximal area of each triangular cell in the mesh
-    
+
     \item \indexedbold{polygon} A sequence of points in the plane. (Arbitrary polygons can be created in this way )
-    ANUGA represents polygons as either a list of 2-tuples, where the latter are either Python tuples or Python lists of length 2. The unit square, for example, would be represented by the polygon [ [0,0], [1,0], [1,1], [0,1] ]. Alternatively, polygons can be represented as $N \times 2$ Numeric arrays, where $N$ is the number of points.       
-    
+    ANUGA represents polygons as either a list of 2-tuples, where the latter are either Python tuples or Python lists of length 2. The unit square, for example, would be represented by the polygon [ [0,0], [1,0], [1,1], [0,1] ]. Alternatively, polygons can be represented as $N \times 2$ Numeric arrays, where $N$ is the number of points.
+
     NOTE: More can be read in the module utilities/polygon.py ....
 
-    \item \indexedbold{easting}   
-
-    \item \indexedbold{northing}   
-
-    \item \indexedbold{latitude}   
-
-    \item \indexedbold{longitude}   
-
-    \item \indexedbold{edge}   
-
-    \item \indexedbold{vertex}  
- 
-    \item \indexedbold{finite volume}  
-
-    \item \indexedbold{flux}  
-
-    \item \indexedbold{Digital Elevation Model (DEM)}   
+    \item \indexedbold{easting}
+
+    \item \indexedbold{northing}
+
+    \item \indexedbold{latitude}
+
+    \item \indexedbold{longitude}
+
+    \item \indexedbold{edge}
+
+    \item \indexedbold{vertex}
+
+    \item \indexedbold{finite volume}
+
+    \item \indexedbold{flux}
+
+    \item \indexedbold{Digital Elevation Model (DEM)}
 
 
@@ -814,10 +813,10 @@
 %\renewcommand{\indexname}{Module Index}
 %end{latexonly}
-%\input{mod\jobname.ind}		% Module Index 
+%\input{mod\jobname.ind}        % Module Index
 
 %begin{latexonly}
 \renewcommand{\indexname}{Index}
 %end{latexonly}
-\input{\jobname.ind}			% Index
+\input{\jobname.ind}            % Index
 
 