Index: /documentation/user_manual/anuga_user_manual.tex
===================================================================
--- /documentation/user_manual/anuga_user_manual.tex	(revision 2438)
+++ /documentation/user_manual/anuga_user_manual.tex	(revision 2439)
@@ -5,4 +5,11 @@
 %
 %     http://www.python.org/doc/current/doc/doc.html
+
+
+%labels
+%Sections and subsections \label{sec: }
+%Chapters \label{ch: }
+%Equations \label{eq: }
+%Figures \label{fig: }
 
 
@@ -517,7 +524,7 @@
 \section{Functions and Classes}
 
-\begin{itemize} 
-
-  \item \indexedcode{create_mesh_from_region}: Creates a triangular mesh based on a bounding polygon and 
+\indexedcodeheader{create_mesh_from_region}
+
+  Creates a triangular mesh based on a bounding polygon and 
   a number of internal polygons. For each polygon the user specifies a resolution---that is, the maximal area 
   of triangles in the mesh. The bounding polygon also has symbolic \code{tags} associated with it.   
@@ -526,49 +533,42 @@
   
   \begin{itemize}
-  
-  \item the bounding polygon, %do we need to spell out how a polygon is specified?
-  
-  \item a dictionary of boundary tags, for all segments of the bounding polygon, 
-  \emph{[not clear what the keys and values of this dictionary are]}
-  
-  \item the resolution for the bounding polygon,
-  
-  \item (optional) a filename,  \emph{[what is the file for?]}
-  
-  \item a list of 2-tuples \code{(polygon, resolution)}, specifying the interior polygons and their associated 
-  resolutions.
-  
+    \item the bounding polygon, %do we need to spell out how a polygon is specified?
+    \item a dictionary of boundary tags, for all segments of the bounding polygon, 
+    \emph{[not clear what the keys and values of this dictionary are]}
+    \item the resolution for the bounding polygon,
+    \item (optional) a filename,  \emph{[what is the file for?]}
+    \item a list of 2-tuples \code{(polygon, resolution)}, specifying the interior polygons and 
+    their associated resolutions.
   \end{itemize}
   
-  
-  
-  \item \indexedcode{pmesh_to_domain_instance}: Converts a generated mesh file to a domain object. 
+    
+\indexedcodeheader{pmesh_to_domain_instance}
+
+ Converts a generated mesh file to a domain object. 
   
   \textbf{Arguments:} 
   
   \begin{itemize}
-  
-  \item \code{file_name} is the name of the mesh file to convert, including the extension
-
-  \item \code{DomainClass} is the Class that will be returned.
+    \item \code{file_name} is the name of the mesh file to convert, including the extension
+    \item \code{DomainClass} is the Class that will be returned.
     It must be a subclass of \code{Domain}, with the same interface as domain.
-
-  \item \code{use_cache}: \code{True} means that caching is attempted for the computed domain.
-    
+    \item \code{use_cache}: \code{True} means that caching is attempted for the computed domain.
   \end{itemize}
   
   
   \begin{itemize}
-  \item Mesh file name
-  
-  \item Class name, specifying the domain class to be instantiated. 
+    \item Mesh file name
+    \item Class name, specifying the domain class to be instantiated. 
   \end{itemize}
   
-  \item \indexedcode{file_function}: %in util.py "High priority" 
+\indexedcodeheader{file_function} %in util.py "High priority" 
+
   Reads the time history of spatial data from NetCDF file and returns a callable object.
 
   \textbf{Input variables:}
     
-    \code{filename} - Name of \code{sww} or \code{tms} file
+    \code{filename} - Name of \code{sww} or \code{tms} file (see
+    Section \ref{sec:file formats} on page \pageref{sec:file formats}
+    for details about file formats).
        
        \begin{quote}
@@ -606,6 +606,6 @@
     
   %  See Interpolation function for further documentation 
-  
-  \item \indexedcode{Interpolation_function} - creates a callable object \code{f(t, id)} or \code{f(t,x,y)}
+\indexedcodeheader{Interpolation_function}
+ Creates a callable object \code{f(t, id)} or \code{f(t,x,y)}
     which is interpolated from time series defined at vertices of
     triangular mesh (such as those stored in \code{sww} files).
@@ -651,12 +651,12 @@
    
 
-  \item \indexedcode{set_region} ``Low priority. Will be merged into set\_quantity'' 
+\indexedcodeheader{set_region} ``Low priority. Will be merged into set\_quantity'' 
    
-  \item \indexedcode{set_quantity} ``Pretty mature''
-  
-  \item \indexedcode{set_boundary} ``Pretty mature''
-  
-
-\end{itemize} 
+\indexedcodeheader{set_quantity} ``Pretty mature''
+  
+\indexedcodeheader{set_boundary} ``Pretty mature''
+  
+
+
 
 \section{Diagnostics}
@@ -743,4 +743,16 @@
 
 \section{File Formats}
+\label{sec:file formats}
+
+
+\[
+  \left[
+  \begin{array}{ccr}
+  2 & 4 & 4\\
+  1 & 1 & 1  
+  \end{array}  
+  \right]
+\]
+
 
 \chapter{Basic \anuga Assumptions}
Index: /documentation/user_manual/definitions.tex
===================================================================
--- /documentation/user_manual/definitions.tex	(revision 2438)
+++ /documentation/user_manual/definitions.tex	(revision 2439)
@@ -3,4 +3,5 @@
 	
 \newcommand{\indexedcode}[1]{\code{#1}\index{#1}}
+\newcommand{\indexedcodeheader}[1]{{\bigskip \Large \bf \code{#1}}\index{#1}\\}
 \newcommand{\indexedbold}[1]{\textbf{#1}\index{#1}}
 \newcommand{\anuga}{\textbf{ANUGA}$^{\scriptscriptstyle \copyright}$ v1.0\ }