Index: /development/momentum_sink/CCS.py
===================================================================
--- /development/momentum_sink/CCS.py	(revision 2465)
+++ /development/momentum_sink/CCS.py	(revision 2466)
@@ -15,19 +15,16 @@
 from numerical_tools import norm, corr, err  
 
-B_list=['buildings_Str_D=3_1714.sww',
-        'buildings_Str_D=5_1578.sww',
-        'buildings_Str_D=7_1067.sww',
-        'buildings_Str_D=9_1052.sww',
-        'buildings_Str_D=11_694.sww',
-        'buildings_Str_D=13_693.sww',
-        'buildings_Str_D=15_717.sww',
-        'buildings_Str_D=17_749.sww',
-        'buildings_Str_D=19_1008.sww',
-        'buildings_Str_D=21_1581.sww',
-        'buildings_Str_D=23_1798.sww']
+B_list=['buildings_Orth(45)_D=3_1566.sww',
+        'buildings_Orth(45)_D=5_1247.sww',
+        'buildings_Orth(45)_D=7_1270.sww',
+        'buildings_Orth(45)_D=9_804.sww',
+        'buildings_Orth(45)_D=11_844.sww',
+        'buildings_Orth(45)_D=13_918.sww',
+        'buildings_Orth(45)_D=15_1250.sww',
+        'buildings_Orth(45)_D=17_1735.sww']
 
 
-fd = open("Straight_log_report.csv", 'w')
-fd.write( 'Straight_log_report. Summary at bottom.' + '\n' )
+fd = open("buildings_Orth(45)_report.csv", 'w')
+fd.write( 'buildings_Orth(45)_report. Summary at bottom.' + '\n' )
 
 
@@ -59,5 +56,5 @@
 
     #Read model output
-    quantities = ['stage', 'elevation', 'xmomentum', 'ymomentum']
+    quantities = ['stage', 'xmomentum', 'ymomentum']
 
     f_B = file_function(swwfile_B,
@@ -70,6 +67,8 @@
     least_norm=[100]
     Normal=[]
-    #Friction = Numeric.arrayrange(1,120,1)
-    Friction = [0.025, 0.1, 0.2, 0.5, 1, 2, 5, 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000]
+    Friction_large = list(Numeric.arange(1,120,1))
+    Friction = list(Numeric.arange(0.025,1,0.025))
+    #Friction_log = [0.025, 0.1, 0.2, 0.5, 1, 2, 5, 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000]
+    Friction.extend(Friction_large)
     for fric in Friction:
         swwfile_F = project.outputdir + sep  + 'friction_n=' + str(fric) + '_3135.sww'
@@ -84,16 +83,18 @@
         stages_B = []
         stages_F = []
+        vel_B=[]
+        vel_F=[]
         for i, GL in enumerate(gauge_depth):
 
+            k = len(gauge_depth) # point of velocity comparision
             # mines data from specified time values in sww file
             # Building file
             wB = f_B(t, point_id = i)[0]
-            zB = f_B(t, point_id = i)[1]
-            uhB = f_B(t, point_id = i)[2]
-            vhB = f_B(t, point_id = i)[3]
+            uhB = f_B(t, point_id = i)[1]
+            vhB = f_B(t, point_id = i)[2]
             # Friction file
             wF = f_F(t, point_id = i)[0]        
-            uhF = f_B(t, point_id = i)[2]
-            vhF = f_B(t, point_id = i)[3]
+            uhF = f_B(t, point_id = i)[1]
+            vhF = f_B(t, point_id = i)[2]
 
             #m = sqrt(uh*uh + vh*vh)   #Absolute momentum
@@ -102,6 +103,8 @@
             stages_B.append(wB)
             stages_F.append(wF)
-            
-            
+
+
+        vel_B.append(velB)
+        vel_F.append(velF)
         Ar_B = Numeric.array(stages_B)
         Ar_F = Numeric.array(stages_F)
@@ -115,6 +118,8 @@
             least_norm = norm_F
             fric_OK = fric
+            
         else:
             print fric, " NOT OK" 
+
     
     print fric_OK, " <- This Manning's n is best fit from 2nd norm test"
@@ -125,6 +130,6 @@
     Breadth.append(bre)
     
-    print len(Friction), "friction"
-    print len(Normal), "normal"
+    print vel_F, "friction"
+    print vel_B, "Buildings"
     fd.write('_______________________________________________________' + '\n' )
     fd.write( '<<<< Mannings n for [' + B_file + '] >>>>' + '\n' )
@@ -140,5 +145,5 @@
 len_file=Numeric.arrayrange(0,len(B_list),1)
 fd.write('_______________________________________________________' + '\n' )
-fd.write( '<<<<< Straight_log_report Summary >>>>>' + '\n' )
+fd.write( '<<<<< buildings_Orth(45)_report Summary >>>>>' + '\n' )
 fd.write( 'width, footprint ratio, mannings n, 2nd norm ' + '\n')
 for i in len_file:
Index: /development/momentum_sink/loop_friction.py
===================================================================
--- /development/momentum_sink/loop_friction.py	(revision 2465)
+++ /development/momentum_sink/loop_friction.py	(revision 2466)
@@ -24,6 +24,6 @@
 from pmesh.mesh import importMeshFromFile
 
-#Friction = Numeric.arrayrange(0.025,1,0.025)
-Friction = [150,200,500,1000,2000,5000,10000]
+Friction = Numeric.arrayrange(0.025,1,0.025)
+#Friction = Numeric.arrayrange(1,120,1)
 for fric in Friction:
     meshname = project_friction.meshname
Index: /development/momentum_sink/run_buildings.py
===================================================================
--- /development/momentum_sink/run_buildings.py	(revision 2465)
+++ /development/momentum_sink/run_buildings.py	(revision 2466)
@@ -55,5 +55,5 @@
 domain.set_datadir(project.outputdir)
 domain.store = True
-domain.quantities_to_be_stored = ['stage']
+domain.quantities_to_be_stored = ['stage', 'xmomentum', 'ymomentum']
 
 print 'Number of triangles = ', len(domain)